package com.house365.ws.dao.interfaces;

import java.util.Date;
import java.util.List;

import com.house365.beans.entity.BaseAttachment;
import com.house365.dao.system.interfaces.Dao;

public interface IAttachmentDao<T extends BaseAttachment> extends Dao<T> {
    /**
     * 通过resouceId查询
     */
    public List<BaseAttachment> getByResourceId(Integer resourceId);
    public List<BaseAttachment> queryByResourceIdAndResouceType(String resourceId,String channel);
    public List<BaseAttachment> queryByResouceType(String channel);

    /**
     * 获取数据库当前时间
     *
     * @return 数据库当前时间
     */
    Date getDbNow();
}
